Bug 1419415 - Missing Compound FOP in the generator list of FOPs
Summary: Missing Compound FOP in the generator list of FOPs
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: libglusterfsclient
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Menaka
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 05:19 UTC by Menaka
Modified: 2019-04-18 10:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 10:52:03 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Menaka 2017-02-06 05:19:02 UTC
Description of problem: Compound FOP is not found in the list of FOPs in the generator file.

Comment 1 Worker Ant 2017-02-06 05:39:35 UTC
REVIEW: https://review.gluster.org/16547 (Adding the Compound FOP to the generator file) posted (#1) for review on master by Menaka Mohan (menaka.m@outlook.com)

Comment 2 Worker Ant 2017-02-08 15:05:55 UTC
REVIEW: https://review.gluster.org/16547 (Adding the Compound FOP to the generator file) posted (#2) for review on master by Menaka Mohan (menaka.m@outlook.com)

Comment 3 Yaniv Kaul 2019-04-18 09:57:04 UTC
Still relevant?

Comment 4 Shyamsundar 2019-04-18 10:52:03 UTC
The initial intention was to be able to reduce code across xlators that have repeated per-FOP constructs. With the initial target as io-stats in this patch ( https://review.gluster.org/c/glusterfs/+/16586 ). The issue of not being able to add  compound FOP to this list of auto generated code was why this bug was open.

From release-6 onwards, compound FOPs are removed from the code base as there are no users. Thus, this bug need not be fixed.

The above context, instead of closing just the bug, was to elaborate what was intended and the amount of code-reduction that it would have provided to Gluster, as that is not yet done.


Note You need to log in before you can comment on or make changes to this bug.